The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Apache httpd: six vulnerabilities

Synthesis of the vulnerability 

An attacker can use several vulnerabilities of Apache httpd.
Impacted products: Apache httpd, Blue Coat CAS, Broadcom Content Analysis, Debian, BIG-IP Hardware, TMOS, Fedora, IBM i, Rational ClearCase, WebSphere AS Traditional, openSUSE Leap, Oracle Communications, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Severity of this bulletin: 3/4.
Number of vulnerabilities in this bulletin: 6.
Creation date: 19/08/2019.
Références of this threat: 1079541, 1097703, 964768, bulletinoct2019, CERTFR-2019-AVI-402, cpuapr2020, CVE-2019-10081, CVE-2019-10082, CVE-2019-10092, CVE-2019-10097, CVE-2019-10098, CVE-2019-9517, DLA-1900-1, DLA-1900-2, DSA-4509-1, DSA-4509-2, DSA-4509-3, FEDORA-2019-099575a123, FEDORA-2019-63ba15cc83, FEDORA-2019-e00c65ec6f, K25126370, openSUSE-SU-2019:2051-1, RHSA-2019:2949-01, RHSA-2019:4126-01, SSA:2020-091-02, SUSE-SU-2019:2237-1, SUSE-SU-2019:2329-1, SYMSA16056, USN-4113-1, USN-4113-2, VIGILANCE-VUL-30057.

Description of the vulnerability 

An attacker can use several vulnerabilities of Apache httpd.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This computer threat announce impacts software or systems such as Apache httpd, Blue Coat CAS, Broadcom Content Analysis, Debian, BIG-IP Hardware, TMOS, Fedora, IBM i, Rational ClearCase, WebSphere AS Traditional, openSUSE Leap, Oracle Communications, Solaris, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Our Vigil@nce team determined that the severity of this computer vulnerability is important.

The trust level is of type confirmed by the editor, with an origin of internet client.

This bulletin is about 6 vulnerabilities.

An attacker with a expert ability can exploit this cybersecurity alert.

Solutions for this threat 

Apache httpd: version 2.4.41.
The version 2.4.41 is fixed:
  https://httpd.apache.org/download.cgi

Broadcom Content Analysis: solution for Apache HTTP Server.
The solution is indicated in information sources.

Cloud Foundry: fixed versions for HTTP/2.
Fixed versions are indicated in information sources.

Debian 8: new apache2 packages.
New packages are available:
  Debian 8: apache2 2.4.10-10+deb8u16

Debian 9/10: new apache2 packages.
New packages are available:
  Debian 9: apache2 2.4.25-3+deb9u9
  Debian 10: apache2 2.4.38-3+deb10u3

F5 BIG-IP: solution for Apache HTTPD.
The solution is indicated in information sources.

Fedora 30: new httpd packages.
New packages are available:
  Fedora 30: httpd 2.4.41-1.fc30

Fedora 30: new mod_http2 packages.
New packages are available:
  Fedora 30: mod_http2 1.15.3-2.fc30

Fedora: new mod_md packages.
New packages are available:
  Fedora 30: mod_md 2.0.8-2.fc30
  Fedora 29: mod_md 2.0.8-3.fc29

IBM i: patch for HTTP Server.
A patch is indicated in information sources.

IBM Rational ClearCase: patch for IBM HTTP Server.
A patch is indicated in information sources.

IBM WebSphere Application Server: patch for Apache httpd.
A patch is available:
  Interim Fix PH14974 https://www.ibm.com/support/pages/node/1074154

openSUSE Leap 15: new apache2 packages.
New packages are available:
  openSUSE Leap 15.0: apache2 2.4.33-lp150.2.23.1
  openSUSE Leap 15.1: apache2 2.4.33-lp151.8.6.1

Oracle Communications: CPU of April 2020.
A Critical Patch Update is available:
  https://support.oracle.com/rs?type=doc&id=2647690.1
  https://support.oracle.com/rs?type=doc&id=2654603.1
  https://support.oracle.com/rs?type=doc&id=2652618.1
  https://support.oracle.com/rs?type=doc&id=2653087.1
  https://support.oracle.com/rs?type=doc&id=2653688.1
  https://support.oracle.com/rs?type=doc&id=2652610.1
  https://support.oracle.com/rs?type=doc&id=2653279.1
  https://support.oracle.com/rs?type=doc&id=2652619.1
  https://support.oracle.com/rs?type=doc&id=2652621.1
  https://support.oracle.com/rs?type=doc&id=2652606.1
  https://support.oracle.com/rs?type=doc&id=2653691.1
  https://support.oracle.com/rs?type=doc&id=2653692.1
  https://support.oracle.com/rs?type=doc&id=2647687.1
  https://support.oracle.com/rs?type=doc&id=2652622.1

Oracle Solaris: patch for third party software of October 2019 v1.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Oracle Solaris: patch for third party software of October 2019 v2.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

RHEL 6, 7: new httpd24-httpd/httpd24-nghttp2 packages.
New packages are available:
  RHEL 6: httpd24-httpd 2.4.34-8.el6.1, httpd24-nghttp2 1.7.1-7.el6.1
  RHEL 7: httpd24-httpd 2.4.34-8.el7.1, httpd24-nghttp2 1.7.1-7.el7.1

RHEL 6: new httpd24-httpd packages.
New packages are available:
  RHEL 6.0-6.10: httpd24-httpd 2.4.34-15.el6

Slackware: new httpd packages.
New packages are available:
  Slackware 14.0: httpd 2.4.43-*-1_slack14.0
  Slackware 14.1: httpd 2.4.43-*-1_slack14.1
  Slackware 14.2: httpd 2.4.43-*-1_slack14.2

SUSE LE 12 SP4: new apache2 packages.
New packages are available:
  SUSE LE 12 SP4: apache2 2.4.23-29.43.1

SUSE LE 15: new apache2 packages.
New packages are available:
  SUSE LE 15 RTM: apache2 2.4.33-3.21.1
  SUSE LE 15 SP1: apache2 2.4.33-3.21.1

Ubuntu: new apache2 packages.
New packages are available:
  Ubuntu 19.04: apache2 2.4.38-2ubuntu2.3
  Ubuntu 18.04 LTS: apache2 2.4.29-1ubuntu4.11
  Ubuntu 16.04 LTS: apache2 2.4.18-2ubuntu3.13

Wind River Linux: version 10.17.41.19.
The version 10.17.41.19 is fixed.

Wind River Linux: version 10.18.44.12.
The version 10.18.44.12 is fixed:
  https://support2.windriver.com/
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a cybersecurity database. The Vigil@nce vulnerability database contains several thousand vulnerabilities.